commit:     14ba0d3668016dc892a5f06552b29de6a08016f4
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  6 11:52:10 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Mar  6 11:56:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14ba0d36

dev-libs/libconfig: Version 1.7.2.

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-libs/libconfig/Manifest               |  1 +
 dev-libs/libconfig/libconfig-1.7.2.ebuild | 50 +++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-libs/libconfig/Manifest b/dev-libs/libconfig/Manifest
index c08698b93e6..c0c61722dba 100644
--- a/dev-libs/libconfig/Manifest
+++ b/dev-libs/libconfig/Manifest
@@ -1,2 +1,3 @@
 DIST libconfig-1.5.tar.gz 644432 BLAKE2B 
9eaec8aca0692f30d6b51221a5d1bc624540da74f599292b1a161054dec8188b2ad2ee100a97c1e19f7b4763614206a5bf6ad03f6f7bbd33b40d57c51646e520
 SHA512 
16bead52ee8c880b25fd1ee6fa83c115dc51830f2f7954389bd8b72cc0e6fc05fc63fe415bd929851894a9f3a1127d51cfc4223149514246e9566305556b7bcd
 DIST libconfig-1.7.1.tar.gz 2290501 BLAKE2B 
6c55e0d41c1475434bcc61203bda40c478d0802ccb544866df4b7d9b69538ca1e2eab8642867b0ee7c56e26027d8fb326e470a5c9bdcbc37534fe23092be15e0
 SHA512 
b58b468e9e2d5175fbde1ad9765c6604dc9b3f3944613a88404a45d0d232e7d79a47321bf3c06b97cb46a2104b4313fad5c7f8944149f550b7af51ad523e775e
+DIST libconfig-1.7.2.tar.gz 3017891 BLAKE2B 
1b8bc54857feff506d5cd62312a35f0f8a123380567881bdb8241f2232c5281399e4283687a3254b8f43a92b8f7d5ff3f72ec4fd875bf1b9d5d6c7703014cc3c
 SHA512 
9df57355c2d08381b4a0a6366f0db3633fbe8f73c2bb8c370c040b0bae96ce89ee4ac6c17a5a247fed855d890fa383e5b70cb5573fc9cfc62194d5b94e161cee

diff --git a/dev-libs/libconfig/libconfig-1.7.2.ebuild 
b/dev-libs/libconfig/libconfig-1.7.2.ebuild
new file mode 100644
index 00000000000..a426558e586
--- /dev/null
+++ b/dev-libs/libconfig/libconfig-1.7.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils multilib-minimal
+
+DESCRIPTION="Libconfig is a simple library for manipulating structured 
configuration files"
+HOMEPAGE="
+       http://www.hyperrealm.com/libconfig/libconfig.html
+       https://github.com/hyperrealm/libconfig
+"
+SRC_URI="https://github.com/hyperrealm/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/11"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-linux"
+IUSE="+cxx static-libs"
+
+DEPEND="
+       sys-devel/libtool
+       sys-devel/bison
+"
+
+src_prepare() {
+       default
+       sed -i \
+               -e '/sleep 3/d' \
+               -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' \
+               configure.ac || die
+       eautoreconf
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       econf \
+               $(use_enable cxx) \
+               $(use_enable static-libs static) \
+               --disable-examples
+}
+
+multilib_src_test() {
+       # It responds to check but that does not work as intended
+       emake test
+}
+
+multilib_src_install() {
+       default
+
+       prune_libtool_files
+}

Reply via email to